"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _nodeFetch = _interopRequireDefault(require("node-fetch"));

var _moduleReplication = require("@resolve-js/module-replication");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const occupyReplication = async (pool, lockId, duration) => {
  const response = await (0, _nodeFetch.default)(`${pool.targetApplicationUrl}${_moduleReplication.OCCUPY_REPLICATION.endpoint}`, {
    method: _moduleReplication.OCCUPY_REPLICATION.method,
    body: JSON.stringify({
      duration,
      lockId
    }),
    headers: {
      'Content-Type': 'application/json'
    }
  });

  switch (response.status) {
    case 200:
      return {
        status: 'success'
      };

    case 409:
      return {
        status: 'alreadyLocked'
      };

    case 503:
      return {
        status: 'serviceError',
        message: await response.text()
      };

    default:
      return {
        status: 'error',
        message: await response.text()
      };
  }
};

var _default = occupyReplication;
exports.default = _default;
//# sourceMappingURL=occupy-replication.js.map