"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _nodeFetch = _interopRequireDefault(require("node-fetch"));

var _httpError = _interopRequireDefault(require("./http-error"));

var _moduleReplication = require("@resolve-js/module-replication");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const setReplicationPaused = async (pool, paused) => {
  const endpoint = paused ? _moduleReplication.PAUSE_REPLICATION : _moduleReplication.RESUME_REPLICATION;
  const response = await (0, _nodeFetch.default)(`${pool.targetApplicationUrl}${endpoint.endpoint}`, {
    method: endpoint.method
  });

  if (!response.ok) {
    throw new _httpError.default(await response.text(), response.status);
  }
};

var _default = setReplicationPaused;
exports.default = _default;
//# sourceMappingURL=set-replication-paused.js.map